2021-09-18 00:43 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002662JohnBarnes[All Projects] Generalpublic2015-01-24 21:08
Reporterhschid 
Assigned ToStingRayProject InfoJohn Barnes European Football (Krisalis)
http://www.whdload.de/games/JohnBarnes.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Summary0002662: Hello, maybe I think I found a bug with the keyboard routine. First key press
DescriptionGameVersion: english,pal,2 disks
SlaveVersion: 1.0 from 29.12.09

Hello,
maybe I think I found a bug with the keyboard routine. First key press always is always fine. All following has a deley of 30s or more. Somethimes I think there is a system hung but after a while next menu screen appears. Very interessing think is, this only happens on real Amiga and not with UAE!
Could you add a skip option for loading title screen?
Thank you very much for your hard work and wish you a nice weekend.
Best regards
Hubsi
TagsNo tags attached.
MachineA1200
CPU68030
CPUSpeed50
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem32 MB
WorkbenchOS 3.1
KickROM39 - Kick 3.0
KickSoftNone
WHDLoad17.1
importedyes
Attached Files
  • ? file icon .whdl_register (3,734 bytes) 2013-03-10 10:50 -
    ************************* 01-Jan-78 00:37:28 ************************17.1.5206***
    Slave='JohnBarnesEuroFootball.Slave' (1004 bytes)
    ShadowMem  8894338 -  88DC338 ( 294912) AbsolutMem    48000 -    80000 ( 229376)
    Resload    FEB5000 -  FEBCF4C (  32588) at FEB5000  GL=$FF40000
    Slave      FF49000 -  FF493C8 (    968) at FF49000  BaseMemSize=$80000
    ExpMem     FEBF000 -  FF3F000 ( 524288) at FEBF000
    attn=FF(60,82) fc=-1 kn=20822 cs=FFFB rw=0 zpt=-1 ep=0 ei=0
    setcpu=33D(DC,IC,SCB,ECB,BNC)
    
    DEBUG caused. PC = $FED11AE (ExpMem $121AE)
    
    $0fed1188 bra.b        $fed119e
    $0fed118a move.l       a0,($ff21808)
    $0fed1190 st           ($ff2181d)
    $0fed1196 move.l       (a0)+,a1                       ;$0fed2cb6
    $0fed1198 move.l       a0,-(a7)                       ;$0ff217d8
    $0fed119a jsr          (a1)                           ;$0fed2cd8
    $0fed119c move.l       (a7)+,a0                       ;$0ff217d8
    $0fed119e tst.w        (a0)                           ;$0fed2cb6
    $0fed11a0 bpl.b        $fed11a8
    $0fed11a2 move.l       (2,a0),a2                      ;$0fed2cb8
    $0fed11a6 jmp          (a2)                           ;$0fed2358
    $0fed11a8 move.l       a0,a1
    $0fed11aa move.w       (a1)+,d0                       ;$0fed2cd8
    $0fed11ac move.l       (a1)+,a2                       ;$0fed2cd8
    ›1m$0fed11ae move.w       (a1)+,d1                       ;$0fed2cd8
    ›22m$0fed11b0 move.w       (a1)+,d2                       ;$0fed2cd8
    $0fed11b2 move.l       (a1)+,a3                       ;$0fed2cd8
    $0fed11b4 tst.w        d0
    $0fed11b6 bmi.b        $fed11a8
    $0fed11b8 lea          ($ff3cece),a4
    $0fed11be bclr         #0,(0,a4,d0.w)                 ;$0ff3cf20
    $0fed11c4 beq.b        $fed11aa
    $0fed11c6 moveq        #-1,d3
    $0fed11c8 bsr.w        $fed1354
    $0fed11cc bsr.w        $fecf8bc
    $0fed11d0 moveq        #9,d7
    $0fed11d2 jsr          ($feca6a4)
    $0fed11d8 dbf          d7,$fed11d2
    $0fed11dc jmp          (a2)                           ;$0fed2358
    
    regular stack:
    $0FF217D8 00000000 00000000 00000000 00000000 00000000 00000000 00000000 FFFFFA00
    $0FF217F8 00000000 00000001 0000FF00 00000000 0FED2CB2 00000000 00000000 00000000
    $0FF21818 00000000 00FF0000 00000000 00000000 00000000 00000000 00000000 46350000
    $0FF21838 00005065 74650000 00000000 00000000 00000000 00000000 00000000 00000000
    $0FF21858 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    
      ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
    Dx       52        4B     D004B     F0266         6         6      FFFF      FFFF
    Ax  FED2CB6   FED2CD8   FED2358   FF21825   FF3CECE   FEDB21C   FEDB1DC
    
                     TTSM III   XNZVC
    PC= FED11AE›22m  SR %0010000000010000  USP=7FC00  ›1mSSP=FF217D8
    VBR=FF41000  SFC=5  DFC=5  CACR=80008000  PCR=04300622  BUSCR=00000000
    TC=8000  URP=0FEB3000  SRP=0FEB3000
    DTT0=00000000  DTT1=00000000  ITT0=00000000  ITT1=00000000
    
             MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
    intena=%0110000000001101›22m dmacon=%›1m0010011111011111 adkcon=$1100
    intreq=%0000011111101000
    vposr....A300  vhposr...016A  joy0dat..0200  joy1dat..0000  clxdat...8001  
    pot0dat..0077  pot1dat..0077  potinp...4400  serdatr..3800  dskbytr..8000  
    deniseid.FCF8  hhposr...EE64  
       ciaa:     PI ROPS		   ciab:     PI ROPS
    	cra=01001000›22m  ta=21FF<21FF	   cra=›1m00001000  ta=FFFF<FFFF
    	    AII ROPS			    AII ROPS
    	crb=00001000›22m  tb=C87C<FFFF	   crb=›1m10000000  tb=FFFF<FFFF
    	    10RTWCLO	  parallel	    DRCCDSOY      M3210HDS
    	pra=11111110›22m  prb=›1m11111111›22m      pra=›1m11111111›22m  prb=›1m11111111
           ddra=00000011›22m ddrb=›1m00000000›22m     ddra=›1m11000000›22m ddrb=›1m11111111
           event=000DB5  icr=00  sdr=4F    event=000004  icr=00  sdr=00
    
    ? file icon .whdl_register (3,734 bytes) 2013-03-10 10:50 +
  • ? file icon whdl_register_Chkints (3,733 bytes) 2013-03-10 16:06 -
    ************************* 01-Jan-78 00:13:19 ************************17.1.5206***
    Slave='JohnBarnesEuroFootball.Slave' (1004 bytes)
    ShadowMem  8B1A3F0 -  8B623F0 ( 294912) AbsolutMem    48000 -    80000 ( 229376)
    Resload    FEB5000 -  FEBCF4C (  32588) at FEB5000  GL=$FF40000
    Slave      FF49000 -  FF493C8 (    968) at FF49000  BaseMemSize=$80000
    ExpMem     FEBF000 -  FF3F000 ( 524288) at FEBF000
    attn=FF(60,82) fc=-1 kn=20822 cs=FFFB rw=0 zpt=-1 ep=0 ei=0
    setcpu=33D(DC,IC,SCB,ECB,BNC)
    
    INT6: external interrupt or insufficient interrupt acknowledge PC = $FED5808
    (ExpMem $16808)
    
    $0fed57ca move.b       ($c00,a1),d0                   ;$0005d7ec
    $0fed57ce ori.b        #$40,($e00,a1)                 ;$0005d9ec
    $0fed57d4 not.b        d0
    $0fed57d6 ror.b        #1,d0
    $0fed57d8 move.b       d0,($ff3cec4)
    $0fed57de bclr         #7,d0
    $0fed57e2 lea          ($ff3cece),a0
    $0fed57e8 seq          (0,a0,d0.w)                    ;$0fedbb5c
    $0fed57ec bset         #3,($e00,a1)                   ;$0005d9ec
    $0fed57f2 move.b       #$81,($d00,a1)                 ;$0005d8ec
    $0fed57f8 clr.b        ($400,a1)                      ;$0005cfec
    $0fed57fc move.b       #2,($500,a1)                   ;$0005d0ec
    $0fed5802 movem.l      (a7)+,d0-d7/a0-a6              ;$0ff217c4
    $0fed5806 rte
    ›1m$0fed5808 movem.l      d0-d7/a0-a6,-(a7)              ;$0ff217c4
    ›22m$0fed580c move.b       ($bfdd00),d0
    $0fed5812 move.w       #$2000,($dff09c)
    $0fed581a or.b         d0,($ff3cec5)
    $0fed5820 lea          ($bfd000),a1
    $0fed5826 bclr         #1,($ff3cec5)
    $0fed582e beq.b        $fed5836
    $0fed5830 st           ($ff3cec7)
    $0fed5836 bclr         #2,($ff3cec5)
    $0fed583e beq.b        $fed5846
    $0fed5840 jsr          ($fed3f82)
    $0fed5846 movem.l      (a7)+,d0-d7/a0-a6              ;$0ff217c4
    $0fed584a rte
    $0fed584c addq.w       #1,($ff213aa)
    $0fed5852 movem.l      (a7)+,d0-d7/a0-a6              ;$0ff217c4
    
    exception stackframe:
    $0FF217C4 20040FEC A6AA0078
    regular stack:
    $0FF217CC 0FEC03B6 0FECFB62 0FECF778 00000000 00000000 00000000 00000000 00000000
    $0FF217EC 00000000 00000000 FFFFF000 00000000 00000001 0000FF00 00000000 00000000
    $0FF2180C 00000000 00000000 00000000 00000000 80000000 00000000 00000000 00000000
    $0FF2182C 00000000 00000000 00000000 00005065 74650000 00000000 00000000 00000000
    $0FF2184C 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    
      ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
    Dx      A00        A0     D0000     F0993         3         0         6      FFFF
    Ax  FEDB15C     5CBEC   FECFD24  A3A3A3A3    DFF000   FEDB1DC   FEDB19C
    
                     TTSM III   XNZVC
    PC= FED5808›22m  SR %0010011000000100  USP=7FC00  ›1mSSP=FF217C4
    VBR=FF41000  SFC=5  DFC=5  CACR=80008000  PCR=04300622  BUSCR=00000000
    TC=8000  URP=0FEB3000  SRP=0FEB3000
    DTT0=00000000  DTT1=00000000  ITT0=00000000  ITT1=00000000
    
             MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
    intena=%0110000000001101›22m dmacon=%›1m0010011111010000 adkcon=$1100
    intreq=%0000000001100000
    vposr....A300  vhposr...0166  joy0dat..0202  joy1dat..0000  clxdat...8001  
    pot0dat..0077  pot1dat..0077  potinp...4400  serdatr..3800  dskbytr..8000  
    deniseid.FCF8  hhposr...FC60  
       ciaa:     PI ROPS		   ciab:     PI ROPS
    	cra=00001000›22m  ta=21FF<21FF	   cra=›1m00001000  ta=FFFF<FFFF
    	    AII ROPS			    AII ROPS
    	crb=00001000›22m  tb=C87D<FFFF	   crb=›1m10000000  tb=FFFF<FFFF
    	    10RTWCLO	  parallel	    DRCCDSOY      M3210HDS
    	pra=11111100›22m  prb=›1m11111111›22m      pra=›1m11111111›22m  prb=›1m11111111
           ddra=00000011›22m ddrb=›1m00000000›22m     ddra=›1m11000000›22m ddrb=›1m11111111
           event=00064B  icr=00  sdr=00    event=00012A  icr=00  sdr=00
    
    ? file icon whdl_register_Chkints (3,733 bytes) 2013-03-10 16:06 +
  • ? file icon JohnBarnes.slave (1,012 bytes) 2013-03-11 15:03

-Relationships
+Relationships

-Notes

note ~0002911

StingRay (developer)

I can not confirm this, just tested the game again on my A4000/060 and there were no problems with the keyboard. Can you please describe exactly what you're doing to cause these keyboard delays? Thanks!

note ~0002934

hschid (reporter)

Hallo Stingray,
hat leider etwas länger gedauert da der Amiga nicht ständig aufgebaut ist. Die F-Keys funktionieren da ich diese unter der Workbench häufig benutze. Bei John Barnes zeigt der erste Druck immer eine Aktion. Jeder weitere wird nicht akzeptiert. Die Taste im Spielmenü selbst ändert nicht ihr Aussehen beim Drücken.
Bei anderen Spielen oder Programme, mit oder ohne WHDload, funktioniert die Tastatur normal. Gibt es die Möglichkeit in whdload den keypress auszuwerten und zu speichern?

note ~0002935

StingRay (developer)

Hallo Hubsi,

kannst Du WHDLoad noch normal mit dem Quitkey beenden, wenn die Probleme mit dem Keyboard auftauchen? Wenn dies der Fall sein sollte, so mach mal bitte einen Dump, das geht, wenn Du in die WHDLoad.prefs Datei die folgenden 2 Zeilen einfĂĽgst:

Expert
Debugkey=$58


Solltest Du noch keine WHDLoad.prefs Datei haben, so kannst Du einfach eine neue erstellen, die nur aus den obigen 2 Zeilen besteht.

Wenn Du das gemachst hast, kannst Du dann mit F9 einen Dump erzeugen, davon benötige ich die Datei ".whdl_register", häng die bitte mal hier an. Weitere Infos findest Du in der WHDLoad Hilfe: http://whdload.de/docs/de/opt.html#Expert

Wenn du das mit dem Expertmodus nicht hinkriegen solltest (ich weiss ja nicht, wie fit Du in Sachen Amiga bist), werde ich Dir einen Testslave bauen, damit wir das Problem eingrenzen können, da ich es, wie schon gesagt, auf keinen meiner Amigas reproduzieren kann.

note ~0002946

hschid (reporter)

Hallo Stingray,
die register Datei ist angehängt. Ein drücken der ersten F-Taste funktioniert immer. Jede weitere, auch die Debug/Quit Taste, löst kein event im darauf folgenden Menü aus.
Ein druck auf die Capslock Taste bringt diese zum leuchten. Ebenso ist ein Softreset jederzeit möglich.
Das Problem tritt ĂĽbrigends auch bei meinem A4000 auf mit dem ich die register Datei erstellte.
Bei Battle Squadron lassen sich mit den F-Tasten problemlos mehrmals die Einstellungen verändern.

Ăśbrigends funktioniert bei Siedler nun die Eingabe des Dateinamens. Quitkey wird ebenfalls akzeptiert.

Vielen Dank fĂĽr Deine Hilfe. Auch fĂĽr den Install von Kaiser :)

Hubsi

note ~0002949

StingRay (developer)

Hallo Hubsi,

wenn Du WHDLoad nicht beenden kannst, so scheint bei Dir ein anderes Problem vorzuliegen, das nicht unbedingt etwas mit meinem Slave zu tun haben muss. Denn normalerweise sollte WHDLoad immer zu beenden sein. Benutzt Du evtl. die "NOVBRMOVE" Option? Falls ja, bitte ausschalten und schauen, ob sich dann etwas ändert.

Leider hilft mir der Dump nicht, da ich den genau dann brauche, wenn das Keyboard nicht mehr funktioniert, um das Problem einzugrenzen.

Was Du evtl. auch mal probieren könntest ist, eine ältere WHDLoad Version zu benutzen, tritt das Problem immer auf? Und bevor ich es noch vergesse, Sachen wie einen TCP/IP oder USB Stack hast Du nicht zu laufen, wenn WHDLoad läuft? Wenn ja, bitte unbedingt ausschalten!

note ~0002951

hschid (reporter)

Hallo Stingray,
gesetzt sind aktuell keine Tooltypes.
Nach etwas forschen auf der WHDload Seite bin ich auf dem ChkInts Parameter gestoßen. Prompt erscheint eine Fehlermeldung nach dem ausblenden des Titlebilds und der Systemkonfiguration. Wobei dort nur kurz dieser helle, grünliche Bildschirm erscheint. Anschließend rückkehr zur WB mit dem whdload Requester. Die register Datei hab ich dir angehängt.

Nach einigen Tests mit verschiedenen Versionen fiel auf, alle unter 16.0 akzeptieren gar keine F-Taste. Sprich, selbst die Sprache kann nicht ausgewählt werden. Ab >= 16 bis ==17.2 funktioniert zumindest die Sprachauswahl.


Vielleicht hilft es dir weiter.

Hubsi

note ~0002952

StingRay (developer)

Last edited: 2013-03-10 16:42

View 3 revisions

Hallo Hubsi,

super, das hilft mir sehr weiter, wie es scheint, wird ein Level 6 Interrupt im Game nicht bestätigt, entweder, weil ich vergessen habe, den zu patchen oder aus anderen Gründen. Da dieser eine höhere Prio als der Keyboardinterrupt hat, gehen dann auch keine Tasten mehr. Das werde ich auf jeden Fall genauer untersuchen, besten Dank für Deine Mitarbeit! :)

note ~0002953

hschid (reporter)

Hallo Stingray,
freut mich wenn es weiterhelfen sollte. Noch eine Bitte, könntest du die einblendzeit des Titelbildes verkürzen? Beim Testen stört es doch sehr und so hübsch ist John Barnes auch wieder nicht ;)
Denke es genĂĽgt 5s oder evtl. ein Buttonwait, kannst du selbst entscheiden.

Viele GrĂĽĂźe und danke fĂĽrs supporten und durchackern des Slaves.

Hubsi

note ~0002954

StingRay (developer)

Das mit dem Titelbild geht leider nicht, da das Spiel Dateien entpackt, während es angezeigt wird. Wäre sonst schon in der ersten Version vom Patch eingebaut gewesen. ;)

note ~0002955

StingRay (developer)

Hallo Hubsi,

ich habe Dir mal einen gefixten John Barnes Slave hier angehangen, das Problem mit dem Level6 Interrupt sollte nun behoben sein. Probiere den mal aus und gibt RĂĽckmeldung, ob das Problem mit den Keys jetzt behoben ist.

note ~0002957

hschid (reporter)

Hallo Stingray,
der Interrupt Fehler taucht nicht mehr auf. Allerdings spricht das Programm nach der Sprachauswahl auf eine F-Taste nicht mehr. :(
Die Frage ist, wieso akzeptiert das Programm das zweite keypress Event nicht. Lässt sich mittels slave eine Routine ins Programm integrieren die bei jeder Tastatureingabe die register auf Platte/RAM schreiben? Somit wüßte man zumindest was aktuell vorgeht und den Inhalt liese sich vergleichen.

Nur so eine Idee. Guten Wochenstart

wĂĽnscht Hubsi

note ~0002958

StingRay (developer)

Hallo Hubsi,

ich habe mir gerade nochmal den Source vom Slave angeschaut und etwas gefunden, was die Keyboardprobleme verursachen könnte, wenn ich heute wieder zu Hause bin, gibt es einen neuen Slave zum Testen. Bis dahin erstmal und auch Dir einen guten Start in die Woche! :)

note ~0002959

StingRay (developer)

So, wie versprochen habe ich eine neue Version des Slaves fĂĽr Dich zum Testen angehangen. Ich bin mir fast sicher, dass das Keyboardproblem jetzt behoben ist. :) Teste mal und berichte, ob jetzt alles ordentlich funktioniert.

note ~0002961

hschid (reporter)

You did it! You rock it!

Gerade getestet und läuft 1A! Vielen lieben Dank für Deinen Einsatz und die Mühen die du dir gemacht hast.

Jetzt muss ich nur noch so gut werden um mal gegen Freunde ein Spiel zu gewinnen :)

Woran lag es denn genau wieso der Slave bei vielen läuft und bei mir nicht?

Nochmals vielen Dank und einen schönen Abend

Hubsi

note ~0002962

StingRay (developer)

Keine Ursache. :)

Problem war ein Bug in meinem Keyboardhandler, der, abhängig davon, wie schnell der Rechner ist, dafür sorgte, dass sich das Keyboard "aufhängt".

Viel Spass beim Zocken GrĂĽsse. :)

note ~0002965

StingRay (developer)

Fixed in v1.01 of the patch. :)
+Notes

-Issue History
Date Modified Username Field Change
2013-02-02 19:36 administrator New Issue
2013-02-02 19:36 administrator Status new => assigned
2013-02-02 19:36 administrator Assigned To => StingRay
2013-02-19 17:31 StingRay Note Added: 0002911
2013-03-05 18:49 hschid Note Added: 0002934
2013-03-05 20:37 StingRay Note Added: 0002935
2013-03-10 10:50 hschid File Added: .whdl_register
2013-03-10 11:12 hschid Note Added: 0002946
2013-03-10 14:29 StingRay Note Added: 0002949
2013-03-10 16:06 hschid File Added: whdl_register_Chkints
2013-03-10 16:19 hschid Note Added: 0002951
2013-03-10 16:23 StingRay Note Added: 0002952
2013-03-10 16:42 StingRay Note Edited: 0002952 View Revisions
2013-03-10 16:42 StingRay Note Edited: 0002952 View Revisions
2013-03-10 17:19 hschid Note Added: 0002953
2013-03-10 17:30 StingRay Note Added: 0002954
2013-03-10 23:33 StingRay File Added: JohnBarnes.slave
2013-03-10 23:35 StingRay Note Added: 0002955
2013-03-11 08:10 hschid Note Added: 0002957
2013-03-11 08:34 StingRay Note Added: 0002958
2013-03-11 15:03 StingRay File Deleted: JohnBarnes.slave
2013-03-11 15:03 StingRay File Added: JohnBarnes.slave
2013-03-11 15:05 StingRay Note Added: 0002959
2013-03-11 19:54 hschid Note Added: 0002961
2013-03-12 07:32 StingRay Note Added: 0002962
2013-03-12 18:24 StingRay Note Added: 0002965
2013-03-12 18:24 StingRay Status assigned => resolved
2013-03-12 18:24 StingRay Resolution open => fixed
2015-01-24 21:08 Wepl Status resolved => closed
+Issue History